net.corda.core.schemas.requery.converters

## Class InstantConverter

- net.corda.core.schemas.requery.converters.InstantConverter

-     public class InstantConverter

  Converts from a Instant to a java.sql.Timestamp for Java 8. Note that when converting between the time type and the database type all times will be converted to the UTC zone offset.

  See Also:
    Instant, java.sql.Timestamp

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstantConverter()` Converts from a Instant to a java.sql.Timestamp for Java 8. Note that when converting between the time type and the database type all times will be converted to the UTC zone offset.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Instant` | `convertToMapped(java.lang.Class<? extends java.time.Instant> type, java.sql.Timestamp value)`
    `java.sql.Timestamp` | `convertToPersisted(java.time.Instant value)`
    `java.lang.Class<java.time.Instant>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()`
    `java.lang.Class<java.sql.Timestamp>` | `getPersistedType()`

- - ### Constructor Detail

    - #### InstantConverter

          public InstantConverter()

      Converts from a Instant to a java.sql.Timestamp for Java 8. Note that when converting between the time type and the database type all times will be converted to the UTC zone offset.

      See Also:
        Instant, java.sql.Timestamp

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<java.time.Instant> getMappedType()

    - #### getPersistedType

          public java.lang.Class<java.sql.Timestamp> getPersistedType()

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

    - #### convertToPersisted

          public java.sql.Timestamp convertToPersisted(java.time.Instant value)

    - #### convertToMapped

          public java.time.Instant convertToMapped(java.lang.Class<? extends java.time.Instant> type,
                                                   java.sql.Timestamp value)